<html xmlns:th="http://www.thymeleaf.org"
      xmlns="http://www.w3.org/1999/xhtml"
      th:include="layout :: page">
<body>

<div th:fragment="content">
  <div>
    <h3>Update recipe</h3>
  </div>
  <hr>
  <div>
    <form th:action="@{/updateRecipe}" name="recipeUpdate" method="post" th:object="${recipeUpdate}">
      <label for="inputId">Enter ID of recipe</label>
      <input id="inputId" name="inputId" type="number" th:field="*{id}" required><br>
      <label for="inputTitle">Enter new title of recipe for updating</label>
      <input id="inputTitle" name="inputTitle" type="text" th:field="*{title}" required>
      <input name="submit" type="submit" value="Update">
    </form>
  </div>
  <div th:include="list :: recipes"></div>
</div>
</body>
</html>